package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Author liu
 * @Date 2024/8/20 14:04
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.dto
 * @ClassName: EventOpinionFindDto
 * @Description: TODO
 * @Version 1.0
 */
public class ReqEventOpinionUpdateVo {
    /**
     * 事件id
     */
    @NotNull(message = "id不可为空")
    private String id;

    @Length(min = 1, max = 255, message = "字数不可超过255")
    private String opinion;

    private String delFlag;

    private User _user;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOpinion() {
        return opinion;
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}
